<?xml version="1.0" encoding="UTF-8"?>
<uml:Profile xmi:version="20131001" xmlns:xmi="http://www.omg.org/spec/XMI/20131001" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:uml="http://www.eclipse.org/uml2/5.0.0/UML" xmi:id="_b3DkYMceEd-uLLJhBHUjhQ" name="DesignPatterns" URI="http://www.eclipse.org/papyrus/DP/1" metaclassReference="_7GOdcMffEd-ZmsoIcibkGQ _t9B9IMfgEd-ZmsoIcibkGQ _aC2RMMfhEd-ZmsoIcibkGQ _lvQlsGO4EeCr5NgJTLyvfg _UvDNoJuKEeCEBaaKU7HOqg _UsuzwFGEEeG7u5p0DR0aTA _p_QfoFMYEeGu_4yHoKBXuQ">
  <ownedComment xmi:type="uml:Comment" xmi:id="_BGq1oMcfEd-uLLJhBHUjhQ" annotatedElement="_Vl8WMMcfEd-uLLJhBHUjhQ">
    <body>Pre-condition Rules that have to be satisfied </body>
  </ownedComment>
  <ownedComment xmi:type="uml:Comment" xmi:id="_aAbCYFMuEeGB_eR1RCgBpw" annotatedElement="_QMjTwMfcEd-ZmsoIcibkGQ _ll5WUMcgEd-uLLJhBHUjhQ _o1CIkMfgEd-ZmsoIcibkGQ">
    <body>Textual information (extending comment) is shown in light blue</body>
  </ownedComment>
  <elementImport xmi:type="uml:ElementImport" xmi:id="_7GOdcMffEd-ZmsoIcibkGQ" alias="Comment">
    <importedElement xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Comment"/>
  </elementImport>
  <elementImport xmi:type="uml:ElementImport" xmi:id="_t9B9IMfgEd-ZmsoIcibkGQ" alias="Class">
    <importedElement xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Class"/>
  </elementImport>
  <elementImport xmi:type="uml:ElementImport" xmi:id="_aC2RMMfhEd-ZmsoIcibkGQ" alias="Package">
    <importedElement xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Package"/>
  </elementImport>
  <elementImport xmi:type="uml:ElementImport" xmi:id="_lvQlsGO4EeCr5NgJTLyvfg" alias="Collaboration">
    <importedElement xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Collaboration"/>
  </elementImport>
  <elementImport xmi:type="uml:ElementImport" xmi:id="_UvDNoJuKEeCEBaaKU7HOqg" alias="Constraint">
    <importedElement xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Constraint"/>
  </elementImport>
  <elementImport xmi:type="uml:ElementImport" xmi:id="_UsuzwFGEEeG7u5p0DR0aTA" alias="Property">
    <importedElement xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Property"/>
  </elementImport>
  <elementImport xmi:type="uml:ElementImport" xmi:id="_p_QfoFMYEeGu_4yHoKBXuQ" alias="CollaborationUse">
    <importedElement xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#CollaborationUse"/>
  </elementImport>
  <packageImport xmi:type="uml:PackageImport" xmi:id="_b3DkYsceEd-uLLJhBHUjhQ">
    <importedPackage xmi:type="uml:Model" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#_0"/>
  </packageImport>
  <packagedElement xmi:type="uml:Stereotype" xmi:id="_gXvhUMceEd-uLLJhBHUjhQ" name="Problem">
    <ownedAttribute xmi:type="uml:Property" xmi:id="_98450MflEd-ZmsoIcibkGQ" name="kind" visibility="public" type="_ACAMMMfmEd-ZmsoIcibkGQ">
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_-4JBIMflEd-ZmsoIcibkGQ" value="1"/>
      <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_-4KPQMflEd-ZmsoIcibkGQ" value="1"/>
      <defaultValue xmi:type="uml:LiteralString" xmi:id="_-4MEcMflEd-ZmsoIcibkGQ">
        <value xsi:nil="true"/>
      </defaultValue>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_R5n3YMo-Ed-w0c29sa5uNw" name="base_Comment" association="_R5pFgMo-Ed-w0c29sa5uNw">
      <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Comment"/>
    </ownedAttribute>
  </packagedElement>
  <packagedElement xmi:type="uml:Stereotype" xmi:id="_hg7W8MceEd-uLLJhBHUjhQ" name="Solution">
    <ownedAttribute xmi:type="uml:Property" xmi:id="_e1r6oMfMEd-ZmsoIcibkGQ" name="consequence" type="_lun1cMfZEd-ZmsoIcibkGQ" isDerived="true" association="_e1tIwMfMEd-ZmsoIcibkGQ">
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_e1r6osfMEd-ZmsoIcibkGQ"/>
      <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_e1r6ocfMEd-ZmsoIcibkGQ" value="*"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_x4LZUMe6Ed-ZmsoIcibkGQ" name="sampleCode" type="_9EoRoMcgEd-uLLJhBHUjhQ" isDerived="true">
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_x4LZUse6Ed-ZmsoIcibkGQ"/>
      <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_x4LZUce6Ed-ZmsoIcibkGQ" value="*"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="__7S7sMfvEd-ZmsoIcibkGQ" name="base_Package" association="__7TiwMfvEd-ZmsoIcibkGQ">
      <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Package"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_FBzX4JNWEeCYz6-geqrkyQ" name="safetyLevel" visibility="public" type="_VTJLUHrfEeCgo6hgMbf36g">
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_GCZ5QJNWEeCYz6-geqrkyQ" value="1"/>
      <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_GCvQcJNWEeCYz6-geqrkyQ" value="1"/>
      <defaultValue xmi:type="uml:LiteralString" xmi:id="_GDVtYJNWEeCYz6-geqrkyQ">
        <value xsi:nil="true"/>
      </defaultValue>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_ZI6J0FKlEeGgfJQzISXjog" name="description" type="_o1CIkMfgEd-ZmsoIcibkGQ" isReadOnly="true" isDerived="true" association="_ZJFI8FKlEeGgfJQzISXjog">
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_ZI6J0lKlEeGgfJQzISXjog" value="1"/>
      <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_ZI6J0VKlEeGgfJQzISXjog" value="1"/>
    </ownedAttribute>
  </packagedElement>
  <packagedElement xmi:type="uml:Association" xmi:id="_k1EoQMceEd-uLLJhBHUjhQ" name="assocProblemSolution" memberEnd="_k1EoQcceEd-uLLJhBHUjhQ _k1CzEMceEd-uLLJhBHUjhQ" navigableOwnedEnd="_k1CzEMceEd-uLLJhBHUjhQ _k1EoQcceEd-uLLJhBHUjhQ">
    <ownedEnd xmi:type="uml:Property" xmi:id="_k1EoQcceEd-uLLJhBHUjhQ" name="problem" type="_gXvhUMceEd-uLLJhBHUjhQ" association="_k1EoQMceEd-uLLJhBHUjhQ">
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_k1EoQ8ceEd-uLLJhBHUjhQ" value="1"/>
      <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_k1EoQsceEd-uLLJhBHUjhQ" value="1"/>
    </ownedEnd>
    <ownedEnd xmi:type="uml:Property" xmi:id="_k1CzEMceEd-uLLJhBHUjhQ" name="solution" type="_hg7W8MceEd-uLLJhBHUjhQ" association="_k1EoQMceEd-uLLJhBHUjhQ">
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_k1CzEsceEd-uLLJhBHUjhQ"/>
      <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_k1CzEcceEd-uLLJhBHUjhQ" value="*"/>
    </ownedEnd>
  </packagedElement>
  <packagedElement xmi:type="uml:Stereotype" xmi:id="_RyaaMMcfEd-uLLJhBHUjhQ" name="Pattern">
    <ownedAttribute xmi:type="uml:Property" xmi:id="_oqpSwMe6Ed-ZmsoIcibkGQ" name="knownUse" type="__ueBsMcgEd-uLLJhBHUjhQ" isDerived="true" association="_oqrvAMe6Ed-ZmsoIcibkGQ">
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_oqpSwse6Ed-ZmsoIcibkGQ"/>
      <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_oqpSwce6Ed-ZmsoIcibkGQ" value="*"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_svjSoMe6Ed-ZmsoIcibkGQ" name="applicability" type="_QMjTwMfcEd-ZmsoIcibkGQ" isReadOnly="true" isDerived="true" association="_TbhxMMfcEd-ZmsoIcibkGQ">
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_svjSose6Ed-ZmsoIcibkGQ" value="1"/>
      <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_svjSoce6Ed-ZmsoIcibkGQ" value="1"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_anp-gMfNEd-ZmsoIcibkGQ" name="relatedPattern" visibility="public" type="_RyaaMMcfEd-uLLJhBHUjhQ" association="_anrzsMfNEd-ZmsoIcibkGQ">
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_anp-gsfNEd-ZmsoIcibkGQ"/>
      <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_anp-gcfNEd-ZmsoIcibkGQ" value="*"/>
      <defaultValue xmi:type="uml:LiteralString" xmi:id="_5s9XsMpAEd-w0c29sa5uNw">
        <value xsi:nil="true"/>
      </defaultValue>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_u_R5kMe6Ed-ZmsoIcibkGQ" name="intent" type="_ll5WUMcgEd-uLLJhBHUjhQ" isReadOnly="true" isDerived="true" association="_u_U84Me6Ed-ZmsoIcibkGQ">
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_u_R5kse6Ed-ZmsoIcibkGQ" value="1"/>
      <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_u_R5kce6Ed-ZmsoIcibkGQ" value="1"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="__eCvEMfbEd-ZmsoIcibkGQ" name="problem" type="_gXvhUMceEd-uLLJhBHUjhQ" isReadOnly="true" isDerived="true" association="__eIOoMfbEd-ZmsoIcibkGQ">
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="__eCvEsfbEd-ZmsoIcibkGQ" value="1"/>
      <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="__eCvEcfbEd-ZmsoIcibkGQ" value="1"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_AxFEQMfcEd-ZmsoIcibkGQ" name="context" type="_Vl8WMMcfEd-uLLJhBHUjhQ" isReadOnly="true" isDerived="true" association="_AxLx8MfcEd-ZmsoIcibkGQ">
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_AxFEQsfcEd-ZmsoIcibkGQ" value="1"/>
      <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_AxFEQcfcEd-ZmsoIcibkGQ" value="1"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_BYVMUMfuEd-ZmsoIcibkGQ" name="base_Package" association="_BYVMUcfuEd-ZmsoIcibkGQ">
      <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Package"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_avpyAMpAEd-w0c29sa5uNw" name="solutions" type="_hg7W8MceEd-uLLJhBHUjhQ" isReadOnly="true" isDerived="true" association="_avsOQMpAEd-w0c29sa5uNw">
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_avpyAspAEd-w0c29sa5uNw"/>
      <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_avpyAcpAEd-w0c29sa5uNw" value="*"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_iNVw4HrfEeCgo6hgMbf36g" name="classification" visibility="public" type="_N8E3IHrfEeCgo6hgMbf36g"/>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_kiooQD1fEeK6_fGYJKVSZA" name="level" visibility="public" type="_C6YfQD1fEeK6_fGYJKVSZA">
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_ng1ewD1fEeK6_fGYJKVSZA" value="1"/>
      <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_ng4iED1fEeK6_fGYJKVSZA" value="1"/>
      <defaultValue xmi:type="uml:LiteralString" xmi:id="_nhN5QD1fEeK6_fGYJKVSZA">
        <value xsi:nil="true"/>
      </defaultValue>
    </ownedAttribute>
  </packagedElement>
  <packagedElement xmi:type="uml:Stereotype" xmi:id="_Vl8WMMcfEd-uLLJhBHUjhQ" name="Context">
    <ownedAttribute xmi:type="uml:Property" xmi:id="_TbeG0MfcEd-ZmsoIcibkGQ" name="applicability" type="_QMjTwMfcEd-ZmsoIcibkGQ" association="_TbhxMMfcEd-ZmsoIcibkGQ">
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_TbeG0sfcEd-ZmsoIcibkGQ" value="1"/>
      <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_TbeG0cfcEd-ZmsoIcibkGQ" value="1"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_wjDmYMfvEd-ZmsoIcibkGQ" name="base_Class" association="_wjENcMfvEd-ZmsoIcibkGQ">
      <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Class"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_xsIHQMfvEd-ZmsoIcibkGQ" name="precondition" visibility="public">
      <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#String"/>
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_zIhMwMfvEd-ZmsoIcibkGQ"/>
      <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_zIjpAMfvEd-ZmsoIcibkGQ" value="*"/>
      <defaultValue xmi:type="uml:LiteralString" xmi:id="_zIk3IMfvEd-ZmsoIcibkGQ">
        <value xsi:nil="true"/>
      </defaultValue>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_E8TA8MogEd-w0c29sa5uNw" name="motivation" association="_E8WEQMogEd-w0c29sa5uNw">
      <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#String"/>
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_E8TA8sogEd-w0c29sa5uNw" value="1"/>
      <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_E8TA8cogEd-w0c29sa5uNw" value="1"/>
    </ownedAttribute>
  </packagedElement>
  <packagedElement xmi:type="uml:Stereotype" xmi:id="_ll5WUMcgEd-uLLJhBHUjhQ" name="Intent">
    <ownedAttribute xmi:type="uml:Property" xmi:id="_4lFHoMflEd-ZmsoIcibkGQ" name="description" visibility="public" type="_o1CIkMfgEd-ZmsoIcibkGQ">
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_5hmaQMflEd-ZmsoIcibkGQ" value="1"/>
      <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_5hoPcMflEd-ZmsoIcibkGQ" value="1"/>
      <defaultValue xmi:type="uml:LiteralString" xmi:id="_5hqEoMflEd-ZmsoIcibkGQ">
        <value xsi:nil="true"/>
      </defaultValue>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_3ucHcMo-Ed-w0c29sa5uNw" name="base_Comment" association="_3ucHcco-Ed-w0c29sa5uNw">
      <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Comment"/>
    </ownedAttribute>
  </packagedElement>
  <packagedElement xmi:type="uml:Stereotype" xmi:id="_9EoRoMcgEd-uLLJhBHUjhQ" name="SampleCode">
    <ownedAttribute xmi:type="uml:Property" xmi:id="_FYsi4Mo9Ed-w0c29sa5uNw" name="base_Class" association="_FYtJ8Mo9Ed-w0c29sa5uNw">
      <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Class"/>
    </ownedAttribute>
  </packagedElement>
  <packagedElement xmi:type="uml:Stereotype" xmi:id="__ueBsMcgEd-uLLJhBHUjhQ" name="KnownUse">
    <ownedAttribute xmi:type="uml:Property" xmi:id="_0yIuYMo-Ed-w0c29sa5uNw" name="base_Comment" association="_0yJVcMo-Ed-w0c29sa5uNw">
      <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Comment"/>
    </ownedAttribute>
  </packagedElement>
  <packagedElement xmi:type="uml:Association" xmi:id="_oqrvAMe6Ed-ZmsoIcibkGQ" name="assocKnownUse" memberEnd="_oqrvAce6Ed-ZmsoIcibkGQ _oqpSwMe6Ed-ZmsoIcibkGQ">
    <ownedEnd xmi:type="uml:Property" xmi:id="_oqrvAce6Ed-ZmsoIcibkGQ" name="pattern" type="_RyaaMMcfEd-uLLJhBHUjhQ" association="_oqrvAMe6Ed-ZmsoIcibkGQ">
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_oqrvA8e6Ed-ZmsoIcibkGQ" value="1"/>
      <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_oqrvAse6Ed-ZmsoIcibkGQ" value="1"/>
    </ownedEnd>
  </packagedElement>
  <packagedElement xmi:type="uml:Association" xmi:id="_u_U84Me6Ed-ZmsoIcibkGQ" name="assocIntent" memberEnd="_u_U84ce6Ed-ZmsoIcibkGQ _u_R5kMe6Ed-ZmsoIcibkGQ">
    <ownedEnd xmi:type="uml:Property" xmi:id="_u_U84ce6Ed-ZmsoIcibkGQ" name="problem" type="_RyaaMMcfEd-uLLJhBHUjhQ" association="_u_U84Me6Ed-ZmsoIcibkGQ">
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_u_U848e6Ed-ZmsoIcibkGQ" value="1"/>
      <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_u_U84se6Ed-ZmsoIcibkGQ" value="1"/>
    </ownedEnd>
  </packagedElement>
  <packagedElement xmi:type="uml:Association" xmi:id="_e1tIwMfMEd-ZmsoIcibkGQ" name="assocConsequence" memberEnd="_e1tIwcfMEd-ZmsoIcibkGQ _e1r6oMfMEd-ZmsoIcibkGQ">
    <ownedEnd xmi:type="uml:Property" xmi:id="_e1tIwcfMEd-ZmsoIcibkGQ" name="solution" type="_hg7W8MceEd-uLLJhBHUjhQ" association="_e1tIwMfMEd-ZmsoIcibkGQ">
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_e1tIw8fMEd-ZmsoIcibkGQ" value="1"/>
      <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_e1tIwsfMEd-ZmsoIcibkGQ" value="1"/>
    </ownedEnd>
  </packagedElement>
  <packagedElement xmi:type="uml:Association" xmi:id="_anrzsMfNEd-ZmsoIcibkGQ" name="assocRelatedPattern" memberEnd="_anrzscfNEd-ZmsoIcibkGQ _anp-gMfNEd-ZmsoIcibkGQ">
    <ownedEnd xmi:type="uml:Property" xmi:id="_anrzscfNEd-ZmsoIcibkGQ" name="pattern" type="_RyaaMMcfEd-uLLJhBHUjhQ" association="_anrzsMfNEd-ZmsoIcibkGQ">
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_anrzs8fNEd-ZmsoIcibkGQ" value="1"/>
      <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_anrzssfNEd-ZmsoIcibkGQ" value="1"/>
    </ownedEnd>
  </packagedElement>
  <packagedElement xmi:type="uml:Stereotype" xmi:id="_lun1cMfZEd-ZmsoIcibkGQ" name="Consequence">
    <ownedAttribute xmi:type="uml:Property" xmi:id="_XqdKkMfuEd-ZmsoIcibkGQ" name="conseqKind" type="_RhFS8IIGEeCxJ-YYWwAzww"/>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_f1ZLsMfuEd-ZmsoIcibkGQ" name="base_Comment" association="_f1ZywMfuEd-ZmsoIcibkGQ">
      <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Comment"/>
    </ownedAttribute>
  </packagedElement>
  <packagedElement xmi:type="uml:Association" xmi:id="__eIOoMfbEd-ZmsoIcibkGQ" name="assocProblem" memberEnd="__eIOocfbEd-ZmsoIcibkGQ __eCvEMfbEd-ZmsoIcibkGQ">
    <ownedEnd xmi:type="uml:Property" xmi:id="__eIOocfbEd-ZmsoIcibkGQ" name="pattern" type="_RyaaMMcfEd-uLLJhBHUjhQ" association="__eIOoMfbEd-ZmsoIcibkGQ">
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="__eIOo8fbEd-ZmsoIcibkGQ" value="1"/>
      <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="__eIOosfbEd-ZmsoIcibkGQ" value="1"/>
    </ownedEnd>
  </packagedElement>
  <packagedElement xmi:type="uml:Association" xmi:id="_AxLx8MfcEd-ZmsoIcibkGQ" name="assocContext" memberEnd="_AxLx8cfcEd-ZmsoIcibkGQ _AxFEQMfcEd-ZmsoIcibkGQ">
    <ownedEnd xmi:type="uml:Property" xmi:id="_AxLx8cfcEd-ZmsoIcibkGQ" name="pattern" type="_RyaaMMcfEd-uLLJhBHUjhQ" association="_AxLx8MfcEd-ZmsoIcibkGQ">
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_AxLx88fcEd-ZmsoIcibkGQ" value="1"/>
      <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_AxLx8sfcEd-ZmsoIcibkGQ" value="1"/>
    </ownedEnd>
  </packagedElement>
  <packagedElement xmi:type="uml:Stereotype" xmi:id="_QMjTwMfcEd-ZmsoIcibkGQ" name="Applicability">
    <ownedAttribute xmi:type="uml:Property" xmi:id="_OO6DsMo_Ed-w0c29sa5uNw" name="base_Comment" association="_OO6qwMo_Ed-w0c29sa5uNw">
      <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Comment"/>
    </ownedAttribute>
  </packagedElement>
  <packagedElement xmi:type="uml:Association" xmi:id="_TbhxMMfcEd-ZmsoIcibkGQ" name="assocApplicability" memberEnd="_TbhxMcfcEd-ZmsoIcibkGQ _TbeG0MfcEd-ZmsoIcibkGQ _svjSoMe6Ed-ZmsoIcibkGQ">
    <ownedEnd xmi:type="uml:Property" xmi:id="_TbhxMcfcEd-ZmsoIcibkGQ" name="context" type="_Vl8WMMcfEd-uLLJhBHUjhQ" association="_TbhxMMfcEd-ZmsoIcibkGQ">
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_TbhxM8fcEd-ZmsoIcibkGQ" value="1"/>
      <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_TbhxMsfcEd-ZmsoIcibkGQ" value="1"/>
    </ownedEnd>
  </packagedElement>
  <packagedElement xmi:type="uml:Stereotype" xmi:id="_o1CIkMfgEd-ZmsoIcibkGQ" name="SolutionDesc">
    <ownedAttribute xmi:type="uml:Property" xmi:id="_qfYxkMfgEd-ZmsoIcibkGQ" name="base_Comment" association="_qfZYoMfgEd-ZmsoIcibkGQ">
      <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Comment"/>
    </ownedAttribute>
  </packagedElement>
  <packagedElement xmi:type="uml:Extension" xmi:id="_qfZYoMfgEd-ZmsoIcibkGQ" name="E_SolutionDesc_Comment1" memberEnd="_qfZYocfgEd-ZmsoIcibkGQ _qfYxkMfgEd-ZmsoIcibkGQ">
    <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_qfZYocfgEd-ZmsoIcibkGQ" name="extension_SolutionDesc" type="_o1CIkMfgEd-ZmsoIcibkGQ" aggregation="composite" association="_qfZYoMfgEd-ZmsoIcibkGQ"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Stereotype" xmi:id="_ACAMMMfmEd-ZmsoIcibkGQ" name="ProblemKind">
    <ownedAttribute xmi:type="uml:Property" xmi:id="_Cu0-0MfmEd-ZmsoIcibkGQ" name="base_Class" association="_Cu1l4MfmEd-ZmsoIcibkGQ">
      <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Class"/>
    </ownedAttribute>
  </packagedElement>
  <packagedElement xmi:type="uml:Extension" xmi:id="_Cu1l4MfmEd-ZmsoIcibkGQ" name="E_ProblemKind_Class1" memberEnd="_Cu1l4cfmEd-ZmsoIcibkGQ _Cu0-0MfmEd-ZmsoIcibkGQ">
    <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_Cu1l4cfmEd-ZmsoIcibkGQ" name="extension_ProblemKind" type="_ACAMMMfmEd-ZmsoIcibkGQ" aggregation="composite" association="_Cu1l4MfmEd-ZmsoIcibkGQ"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Extension" xmi:id="_BYVMUcfuEd-ZmsoIcibkGQ" name="E_Pattern_Package0" memberEnd="_BYVMUsfuEd-ZmsoIcibkGQ _BYVMUMfuEd-ZmsoIcibkGQ">
    <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_BYVMUsfuEd-ZmsoIcibkGQ" name="extension_Pattern" type="_RyaaMMcfEd-uLLJhBHUjhQ" aggregation="composite" association="_BYVMUcfuEd-ZmsoIcibkGQ"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Extension" xmi:id="_f1ZywMfuEd-ZmsoIcibkGQ" name="E_Consequence_Comment0" memberEnd="_f1ZywcfuEd-ZmsoIcibkGQ _f1ZLsMfuEd-ZmsoIcibkGQ">
    <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_f1ZywcfuEd-ZmsoIcibkGQ" name="extension_Consequence" type="_lun1cMfZEd-ZmsoIcibkGQ" aggregation="composite" association="_f1ZywMfuEd-ZmsoIcibkGQ"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Extension" xmi:id="_wjENcMfvEd-ZmsoIcibkGQ" name="E_Context_Class0" memberEnd="_wjENccfvEd-ZmsoIcibkGQ _wjDmYMfvEd-ZmsoIcibkGQ">
    <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_wjENccfvEd-ZmsoIcibkGQ" name="extension_Context" type="_Vl8WMMcfEd-uLLJhBHUjhQ" aggregation="composite" association="_wjENcMfvEd-ZmsoIcibkGQ"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Extension" xmi:id="__7TiwMfvEd-ZmsoIcibkGQ" name="E_Solution_Package0" memberEnd="__7TiwcfvEd-ZmsoIcibkGQ __7S7sMfvEd-ZmsoIcibkGQ">
    <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="__7TiwcfvEd-ZmsoIcibkGQ" name="extension_Solution" type="_hg7W8MceEd-uLLJhBHUjhQ" aggregation="composite" association="__7TiwMfvEd-ZmsoIcibkGQ"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Association" xmi:id="_E8WEQMogEd-w0c29sa5uNw" name="assocMotivation" memberEnd="_E8WEQcogEd-w0c29sa5uNw _E8TA8MogEd-w0c29sa5uNw">
    <ownedEnd xmi:type="uml:Property" xmi:id="_E8WEQcogEd-w0c29sa5uNw" name="context" type="_Vl8WMMcfEd-uLLJhBHUjhQ" association="_E8WEQMogEd-w0c29sa5uNw">
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_E8WEQ8ogEd-w0c29sa5uNw" value="1"/>
      <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_E8WEQsogEd-w0c29sa5uNw" value="1"/>
    </ownedEnd>
  </packagedElement>
  <packagedElement xmi:type="uml:Extension" xmi:id="_FYtJ8Mo9Ed-w0c29sa5uNw" name="E_SampleCode_Class0" memberEnd="_FYtJ8co9Ed-w0c29sa5uNw _FYsi4Mo9Ed-w0c29sa5uNw">
    <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_FYtJ8co9Ed-w0c29sa5uNw" name="extension_SampleCode" type="_9EoRoMcgEd-uLLJhBHUjhQ" aggregation="composite" association="_FYtJ8Mo9Ed-w0c29sa5uNw"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Extension" xmi:id="_R5pFgMo-Ed-w0c29sa5uNw" name="E_Problem_Comment0" memberEnd="_R5pFgco-Ed-w0c29sa5uNw _R5n3YMo-Ed-w0c29sa5uNw">
    <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_R5pFgco-Ed-w0c29sa5uNw" name="extension_Problem" type="_gXvhUMceEd-uLLJhBHUjhQ" aggregation="composite" association="_R5pFgMo-Ed-w0c29sa5uNw"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Extension" xmi:id="_0yJVcMo-Ed-w0c29sa5uNw" name="E_KnownUse_Comment0" memberEnd="_0yJVcco-Ed-w0c29sa5uNw _0yIuYMo-Ed-w0c29sa5uNw">
    <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_0yJVcco-Ed-w0c29sa5uNw" name="extension_KnownUse" type="__ueBsMcgEd-uLLJhBHUjhQ" aggregation="composite" association="_0yJVcMo-Ed-w0c29sa5uNw"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Extension" xmi:id="_3ucHcco-Ed-w0c29sa5uNw" name="E_Intent_Comment0" memberEnd="_3ucHcso-Ed-w0c29sa5uNw _3ucHcMo-Ed-w0c29sa5uNw">
    <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_3ucHcso-Ed-w0c29sa5uNw" name="extension_Intent" type="_ll5WUMcgEd-uLLJhBHUjhQ" aggregation="composite" association="_3ucHcco-Ed-w0c29sa5uNw"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Extension" xmi:id="_OO6qwMo_Ed-w0c29sa5uNw" name="E_Applicability_Comment0" memberEnd="_OO6qwco_Ed-w0c29sa5uNw _OO6DsMo_Ed-w0c29sa5uNw">
    <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_OO6qwco_Ed-w0c29sa5uNw" name="extension_Applicability" type="_QMjTwMfcEd-ZmsoIcibkGQ" aggregation="composite" association="_OO6qwMo_Ed-w0c29sa5uNw"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Association" xmi:id="_avsOQMpAEd-w0c29sa5uNw" name="assocSolution" memberEnd="_avsOQcpAEd-w0c29sa5uNw _avpyAMpAEd-w0c29sa5uNw">
    <ownedEnd xmi:type="uml:Property" xmi:id="_avsOQcpAEd-w0c29sa5uNw" name="pattern" type="_RyaaMMcfEd-uLLJhBHUjhQ" association="_avsOQMpAEd-w0c29sa5uNw">
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_avsOQ8pAEd-w0c29sa5uNw" value="1"/>
      <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_avsOQspAEd-w0c29sa5uNw" value="1"/>
    </ownedEnd>
  </packagedElement>
  <packagedElement xmi:type="uml:Enumeration" xmi:id="_N8E3IHrfEeCgo6hgMbf36g" name="Classification">
    <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_QM0KsHrfEeCgo6hgMbf36g" name="Creational"/>
    <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_RQWEQHrfEeCgo6hgMbf36g" name="Structural"/>
    <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_SdZtQHrfEeCgo6hgMbf36g" name="Behavioral"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Enumeration" xmi:id="_VTJLUHrfEeCgo6hgMbf36g" name="SafetyLevel">
    <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_WbQC4HrfEeCgo6hgMbf36g" name="SIL0"/>
    <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_XEiQcHrfEeCgo6hgMbf36g" name="SIL1"/>
    <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_XtkmYHrfEeCgo6hgMbf36g" name="SIL2"/>
    <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_YSR18HrfEeCgo6hgMbf36g" name="SIL3"/>
    <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_Y7728HrfEeCgo6hgMbf36g" name="SIL4"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Enumeration" xmi:id="_RhFS8IIGEeCxJ-YYWwAzww" name="ConsequenceKind">
    <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_V37-cIIGEeCxJ-YYWwAzww" name="Result"/>
    <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_aMiAIIIGEeCxJ-YYWwAzww" name="Tradeoff"/>
    <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_bMC8YIIGEeCxJ-YYWwAzww" name="ImpactOnFlexibility"/>
    <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_mJm2IIIGEeCxJ-YYWwAzww" name="ImpactOnExtensibility"/>
    <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_pnNlcIIGEeCxJ-YYWwAzww" name="ImpactOnPortability"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Stereotype" xmi:id="_Vj_4oJuKEeCEBaaKU7HOqg" name="Replication">
    <ownedAttribute xmi:type="uml:Property" xmi:id="_oF6UoJuKEeCEBaaKU7HOqg" name="base_Constraint" association="_oF9_AJuKEeCEBaaKU7HOqg">
      <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Constraint"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_pEwigJuKEeCEBaaKU7HOqg" name="kind" visibility="public" type="_ZfZXMJuKEeCEBaaKU7HOqg">
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_so9CAJuKEeCEBaaKU7HOqg" value="1"/>
      <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_sqsucJuKEeCEBaaKU7HOqg" value="1"/>
      <defaultValue xmi:type="uml:LiteralString" xmi:id="_suiFkJuKEeCEBaaKU7HOqg">
        <value xsi:nil="true"/>
      </defaultValue>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_EOrOwEtWEeG1nbOss4HeTg" name="initialNumberOfReplicas">
      <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#Integer"/>
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_EPwM0EtWEeG1nbOss4HeTg" value="1"/>
      <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_EPwz4EtWEeG1nbOss4HeTg" value="1"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_KU3J4EtWEeG1nbOss4HeTg" name="minNumberOfReplicas">
      <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#Integer"/>
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_KU3w8EtWEeG1nbOss4HeTg" value="1"/>
      <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_KU4YAEtWEeG1nbOss4HeTg" value="1"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_0EXLEFHeEeGyufnk6-e-cA" name="base_Property" association="_0FArUFHeEeGyufnk6-e-cA">
      <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Property"/>
    </ownedAttribute>
  </packagedElement>
  <packagedElement xmi:type="uml:Enumeration" xmi:id="_ZfZXMJuKEeCEBaaKU7HOqg" name="ReplicationKind">
    <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_eQ-24JuKEeCEBaaKU7HOqg" name="IdenticalReplication"/>
    <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_gu9VMJuKEeCEBaaKU7HOqg" name="DiversifiedReplication"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Extension" xmi:id="_oF9_AJuKEeCEBaaKU7HOqg" name="E_Replication_Constraint0" memberEnd="_oF9_AZuKEeCEBaaKU7HOqg _oF6UoJuKEeCEBaaKU7HOqg">
    <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_oF9_AZuKEeCEBaaKU7HOqg" name="extension_Replication" type="_Vj_4oJuKEeCEBaaKU7HOqg" aggregation="composite" association="_oF9_AJuKEeCEBaaKU7HOqg"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Stereotype" xmi:id="_VWh-sFGEEeG7u5p0DR0aTA" name="AutomaticBinding">
    <ownedAttribute xmi:type="uml:Property" xmi:id="_Yn5o0FGEEeG7u5p0DR0aTA" name="base_Property" association="_Yn5o0VGEEeG7u5p0DR0aTA">
      <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Property"/>
    </ownedAttribute>
  </packagedElement>
  <packagedElement xmi:type="uml:Extension" xmi:id="_Yn5o0VGEEeG7u5p0DR0aTA" name="E_AutomaticBinding_Property1" memberEnd="_Yn5o0lGEEeG7u5p0DR0aTA _Yn5o0FGEEeG7u5p0DR0aTA">
    <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_Yn5o0lGEEeG7u5p0DR0aTA" name="extension_AutomaticBinding" type="_VWh-sFGEEeG7u5p0DR0aTA" aggregation="composite" association="_Yn5o0VGEEeG7u5p0DR0aTA"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Extension" xmi:id="_0FArUFHeEeGyufnk6-e-cA" name="E_Replication_Property1" memberEnd="_0FArUVHeEeGyufnk6-e-cA _0EXLEFHeEeGyufnk6-e-cA">
    <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_0FArUVHeEeGyufnk6-e-cA" name="extension_Replication" type="_Vj_4oJuKEeCEBaaKU7HOqg" aggregation="composite" association="_0FArUFHeEeGyufnk6-e-cA"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Association" xmi:id="_ZJFI8FKlEeGgfJQzISXjog" name="pattern_solutiondesc_1" memberEnd="_ZJFI8VKlEeGgfJQzISXjog _ZI6J0FKlEeGgfJQzISXjog">
    <ownedEnd xmi:type="uml:Property" xmi:id="_ZJFI8VKlEeGgfJQzISXjog" name="solution" type="_hg7W8MceEd-uLLJhBHUjhQ" association="_ZJFI8FKlEeGgfJQzISXjog">
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_ZJFI81KlEeGgfJQzISXjog" value="1"/>
      <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_ZJFI8lKlEeGgfJQzISXjog" value="1"/>
    </ownedEnd>
  </packagedElement>
  <packagedElement xmi:type="uml:Stereotype" xmi:id="_sFB5UFMYEeGu_4yHoKBXuQ" name="PatternApplication">
    <ownedAttribute xmi:type="uml:Property" xmi:id="_vmIokFMYEeGu_4yHoKBXuQ" name="base_CollaborationUse" association="_vmJPoFMYEeGu_4yHoKBXuQ">
      <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#CollaborationUse"/>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_yHUL4FMYEeGu_4yHoKBXuQ" name="date" visibility="public">
      <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#String"/>
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_6NWe4FMYEeGu_4yHoKBXuQ" value="1"/>
      <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_6NXF8FMYEeGu_4yHoKBXuQ" value="1"/>
      <defaultValue xmi:type="uml:LiteralString" xmi:id="_6NZiMFMYEeGu_4yHoKBXuQ">
        <value xsi:nil="true"/>
      </defaultValue>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_60ohUFMYEeGu_4yHoKBXuQ" name="user" visibility="public">
      <type xmi:type="uml:PrimitiveType" href="pathmap://UML_LIBRARIES/UMLPrimitiveTypes.library.uml#String"/>
      <lowerValue xmi:type="uml:LiteralInteger" xmi:id="_9chwoFMYEeGu_4yHoKBXuQ" value="1"/>
      <upperValue xmi:type="uml:LiteralUnlimitedNatural" xmi:id="_9cvMAFMYEeGu_4yHoKBXuQ" value="1"/>
      <defaultValue xmi:type="uml:LiteralString" xmi:id="_9deL0FMYEeGu_4yHoKBXuQ">
        <value xsi:nil="true"/>
      </defaultValue>
    </ownedAttribute>
    <ownedAttribute xmi:type="uml:Property" xmi:id="_ykadIFqhEeieG8w9Rw6p6Q" name="base_Class" association="_ykWLsFqhEeieG8w9Rw6p6Q">
      <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Class"/>
    </ownedAttribute>
  </packagedElement>
  <packagedElement xmi:type="uml:Extension" xmi:id="_vmJPoFMYEeGu_4yHoKBXuQ" name="E_PatternApplication_CollaborationUse1" memberEnd="_vmJPoVMYEeGu_4yHoKBXuQ _vmIokFMYEeGu_4yHoKBXuQ">
    <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_vmJPoVMYEeGu_4yHoKBXuQ" name="extension_PatternApplication" type="_sFB5UFMYEeGu_4yHoKBXuQ" aggregation="composite" association="_vmJPoFMYEeGu_4yHoKBXuQ"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Enumeration" xmi:id="_C6YfQD1fEeK6_fGYJKVSZA" name="ReferenceLevel">
    <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_JEOyYD1fEeK6_fGYJKVSZA" name="System"/>
    <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_KlH9YD1fEeK6_fGYJKVSZA" name="Architecture"/>
    <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_KOj3gD1fEeK6_fGYJKVSZA" name="Design"/>
    <ownedLiteral xmi:type="uml:EnumerationLiteral" xmi:id="_K42KoD1fEeK6_fGYJKVSZA" name="Implementation"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Stereotype" xmi:id="_6jUj8KYoEeK6-ZUE_UnDbA" name="PatternSystem">
    <ownedAttribute xmi:type="uml:Property" xmi:id="_738NgKYoEeK6-ZUE_UnDbA" name="base_Package" association="_74BtEKYoEeK6-ZUE_UnDbA">
      <type xmi:type="uml:Class" href="pathmap://UML_METAMODELS/UML.metamodel.uml#Package"/>
    </ownedAttribute>
  </packagedElement>
  <packagedElement xmi:type="uml:Extension" xmi:id="_74BtEKYoEeK6-ZUE_UnDbA" name="E_PatternSystem_Package1" memberEnd="_74BtEaYoEeK6-ZUE_UnDbA _738NgKYoEeK6-ZUE_UnDbA">
    <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_74BtEaYoEeK6-ZUE_UnDbA" name="extension_PatternSystem" type="_6jUj8KYoEeK6-ZUE_UnDbA" aggregation="composite" association="_74BtEKYoEeK6-ZUE_UnDbA"/>
  </packagedElement>
  <packagedElement xmi:type="uml:Extension" xmi:id="_ykWLsFqhEeieG8w9Rw6p6Q" name="E_PatternApplication_Class58" memberEnd="_ykZ2EFqhEeieG8w9Rw6p6Q _ykadIFqhEeieG8w9Rw6p6Q">
    <ownedEnd xmi:type="uml:ExtensionEnd" xmi:id="_ykZ2EFqhEeieG8w9Rw6p6Q" name="extension_PatternApplication" type="_sFB5UFMYEeGu_4yHoKBXuQ" aggregation="composite" association="_ykWLsFqhEeieG8w9Rw6p6Q"/>
  </packagedElement>
</uml:Profile>
